SYNOPSIS
        object snoop(object snooper)
        object snoop(object snooper, object snoopee)

DESCRIPTION
        Starts a snoop from 'snooper' on 'snoopee', or if 'snoopee' is not
        given, terminates any snoop from 'snooper'.

        Return 1 on success, -1 if a snooping loop would be caused, 0 for
        any other failure.

        The snoop is checked with the master object for validity.
        It will also fail if a snoop would result in a recursive snoop action.

SEE ALSO
        query_snoop(E)
